<?
class BasicConstant {
    private $name;
    private $value;

	public function __construct($name, $value) {
		$this->name = $name;
		$this->value = $value;
	}

	public function toString() {
      return $this->name;
    }

	public function name() {
      return $this->name;
    }

	public function value() {
      return $this->value;
    }
}
